Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.system
Class SAPManagedConnectionFactory

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCManagedConnectionFactory
              com.stc.connector.sapbapiadapter.system.SAPManagedConnectionFactory

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, javax.resource.spi.ValidatingManagedConnectionFactory

    public class SAPManagedConnectionFactory

extends com.stc.connector.framework.jca.system.STCManagedConnectionFactory

This class implements the ManagedConnectionFactory interface. It is only needed to get an unique class name per resource adapter.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`mConfigurationObject, mLog, mProjectInfoObject, msgManager`

Constructor Summary
`SAPManagedConnectionFactory()`

Method Summary
`protected javax.resource.spi.ManagedConnection` | `createManagedConnectionInternal(javax.security.auth.Subject aSubject, javax.resource.spi.ConnectionRequestInfo aRequestInfo)`

Methods inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`checkIfStarted, createConnectionFactory, createConnectionFactory, createConnectionFactoryInternal, createManagedConnection, createMBean, equals, getApplicationConnectionFactoryClass, getConfiguration, getConfigurationInstance, getConfigurationModel, getConfigurationTemplate, getEwayConnectionClass, getEwayManagedConnectionMBeanClass, getEwayMCFDescription, getEwayMCFMBeanClass, getEwayMCFMBeanName, getEwayMCFName, getInvalidConnections, getLogWriter, getMonitor, getMonitorData, getProcessConfigurationParameters, getProjectInfo, getResourceAdapter, hashCode, isStarted, matchManagedConnections, origSetConfiguration, origSetConfiguration, setApplicationConnectionFactoryClass, setConfiguration, setConfigurationInstance, setConfigurationTemplate, setEwayConnectionClass, setEwayManagedConnectionMBeanClass, setEwayMCFDescription, setEwayMCFMBeanClass, setEwayMCFMBeanName, setEwayMCFName, setLogWriter, setMonitorDataClass, setProcessConfigurationParameters, setProjectInfo, setResourceAdapter, start, stop`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAPManagedConnectionFactory

    public SAPManagedConnectionFactory()

Method Detail

### createManagedConnectionInternal

    protected javax.resource.spi.ManagedConnection createManagedConnectionInternal(javax.security.auth.Subject aSubject,
                                                                                   javax.resource.spi.ConnectionRequestInfo aRequestInfo)
                                                                            throws javax.resource.ResourceException

  Overrides:
    `createManagedConnectionInternal` in class `com.stc.connector.framework.jca.system.STCManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD